org.eclnt.jsfserver.elements.componentnodes

## Class COLSYNCHEDROWNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.COLSYNCHEDROWNode

- All Implemented Interfaces:
    java.io.Serializable

      public class COLSYNCHEDROWNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `COLSYNCHEDROWNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `COLSYNCHEDROWNode` | `bindActionListener(IActionListenerDelegation value)`
    `COLSYNCHEDROWNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindComment(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindRendered(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `COLSYNCHEDROWNode` | `setActionListener(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setAdapterbinding(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setAttributemacro(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setComment(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setComponentbinding(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setConfiginfo(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setFlusharea(boolean value)`
    `COLSYNCHEDROWNode` | `setFlusharea(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setHelpid(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setId(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setPopupmenu(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setReference(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setRendered(boolean value)`
    `COLSYNCHEDROWNode` | `setRendered(java.lang.String value)`
    `COLSYNCHEDROWNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### COLSYNCHEDROWNode

          public COLSYNCHEDROWNode()

  - ### Method Detail

    - #### setId

          public COLSYNCHEDROWNode setId(java.lang.String value)

    - #### setActionListener

          public COLSYNCHEDROWNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public COLSYNCHEDROWNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public COLSYNCHEDROWNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public COLSYNCHEDROWNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public COLSYNCHEDROWNode setAttributemacro(java.lang.String value)

    - #### setComment

          public COLSYNCHEDROWNode setComment(java.lang.String value)

    - #### bindComment

          public COLSYNCHEDROWNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public COLSYNCHEDROWNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public COLSYNCHEDROWNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public COLSYNCHEDROWNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlusharea

          public COLSYNCHEDROWNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public COLSYNCHEDROWNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public COLSYNCHEDROWNode setFlusharea(boolean value)

    - #### setHelpid

          public COLSYNCHEDROWNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public COLSYNCHEDROWNode bindHelpid(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public COLSYNCHEDROWNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public COLSYNCHEDROWNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public COLSYNCHEDROWNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public COLSYNCHEDROWNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public COLSYNCHEDROWNode setReference(java.lang.String value)

    - #### setRendered

          public COLSYNCHEDROWNode setRendered(java.lang.String value)

    - #### bindRendered

          public COLSYNCHEDROWNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public COLSYNCHEDROWNode setRendered(boolean value)

    - #### setStylevariant

          public COLSYNCHEDROWNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public COLSYNCHEDROWNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.